=head1 NAME

Pango::FontMetrics - object for Pango containing overall metric information for a font

=cut

=head1 HIERARCHY

  Glib::Boxed
  +----Pango::FontMetrics



=cut

=for object Pango::FontMetrics - object for Pango containing overall metric information for a font

=cut




=head1 METHODS

=head2 integer = $metrics-E<gt>B<get_approximate_char_width> 

=head2 integer = $metrics-E<gt>B<get_approximate_digit_width> 

=head2 integer = $metrics-E<gt>B<get_ascent> 

=head2 integer = $metrics-E<gt>B<get_descent> 

=head2 integer = $metrics-E<gt>B<get_strikethrough_position> 

Since: pango 1.6

=head2 integer = $metrics-E<gt>B<get_strikethrough_thickness> 

Since: pango 1.6

=head2 integer = $metrics-E<gt>B<get_underline_position> 

Since: pango 1.6

=head2 integer = $metrics-E<gt>B<get_underline_thickness> 

Since: pango 1.6



=cut


=head1 SEE ALSO

L<Pango>, L<Glib::Boxed>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Pango> for a full notice.



=cut

